# Interface ICefBoxLayout

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefBoxLayout = interface(ICefLayout)`

## Description

A Layout manager that arranges child views vertically or horizontally in a side-by-side fashion with spacing around and between the child views. The child views are always sized according to their preferred size. If the host's bounds provide insufficient space, child views will be clamped. Excess space will not be distributed. Methods must be called on the browser process UI thread unless otherwise indicated.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_box_layout_capi.h">CEF source file: /include/capi/views/cef_box_layout_capi.h (cef_box_layout_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefLayout
- ICefBoxLayout

## Overview

### Methods

| `procedure SetFlexForView(const view: ICefView; flex: Integer);`
| `procedure ClearFlexForView(const view: ICefView);`

## Description

### Methods

| `procedure SetFlexForView(const view: ICefView; flex: Integer);`

Set the flex weight for the given |view|. Using the preferred size as the basis, free space along the main axis is distributed to views in the ratio of their flex weights. Similarly, if the views will overflow the parent, space is subtracted in these ratios. A flex of 0 means this view is not resized. Flex values must not be negative.

###### Attributes

GUID['{E59FCCAE-A371-4C21-98D3-93D3217016AE}']

| `procedure ClearFlexForView(const view: ICefView);`
Clears the flex for the given |view|, causing it to use the default flex specified via TCefBoxLayoutSettings.default_flex.

Generated by PasDoc 0.17.0.snapshot.